VideoHelp Forum


Try NordVPN to access Netflix or other streaming services from any country and also surf safe!
+ Reply to Thread
Results 1 to 15 of 15
Thread
  1. Hey there. I've been using Avisynth 2.6.6.6 on the regular for a while now. I downloaded the latest version and all of the sudden it's giving me there error I can't load the plugin HSVAdjust.dll becuase it says I can't load a 32bit dll on a 64bit program. So I reverted back to 2.6.6.6 and it's getting the same error. I tried opening a prior script in Vdub2 and it wont work anymore either. I re downloaded the dll and replaced it too. Nothing is working and I'm super confused Any help would be greatly appreciated.
    Quote Quote  
  2. Member
    Join Date
    Mar 2008
    Location
    United States
    Search Comp PM
    Do you load a dll direct in the script (loadplugin) ?
    Otherwise the 32 bit version of vdub will use the 32 bit Avisynth dll's,
    likewise the 64 version of vdub will use the 64 bit Avisynth dll's
    Quote Quote  
  3. yeah. I tried that and it still says the same thing
    Quote Quote  
  4. Member
    Join Date
    Mar 2008
    Location
    United States
    Search Comp PM
    Originally Posted by dukeroyal View Post
    yeah. I tried that and it still says the same thing
    does HSVadjust come in a 32 bit version only? Did you put it in the avisynth 32 bit plugin folder
    and use the 32 bit version of Vdub?

    Should switch to this version now
    https://www.videohelp.com/software/AviSynth-Plus
    Quote Quote  
  5. Member DB83's Avatar
    Join Date
    Jul 2007
    Location
    United Kingdom
    Search Comp PM
    Downloaded from where ?


    Something I only use occasionally but from where I sit the last official builds are 2.5.8 and 2.6.0. Nothing beyond that except for avisynth+ and that is 3.7.......
    Quote Quote  
  6. Originally Posted by DB83 View Post
    Downloaded from where ?


    Something I only use occasionally but from where I sit the last official builds are 2.5.8 and 2.6.0. Nothing beyond that except for avisynth+ and that is 3.7.......
    https://www.videohelp.com/software/AvsP

    also, I tried installing the Avisynth Plus you linked to, but still not working.

    these are the errors I have in AVI synth tool:
    32bit : Cannot load a 64 bit DLL in 32 bit Avisynth: 'C:/AviSynth+/plugins+/RgTools.dll'
    64bit: Cannot load a 32 bit DLL in 64 bit Avisynth: 'C:/AviSynth+/plugins64+/HSVAdjust.dll'
    Quote Quote  
  7. Member DB83's Avatar
    Join Date
    Jul 2007
    Location
    United Kingdom
    Search Comp PM
    So your topic is misleading.


    You are not referring to avisynth but a program that creates the scripts for it.


    I suggest you contact admin to have the topic header edited (unless you can do that by editing the first post yourself)
    Quote Quote  
  8. Derp!! changed title
    Quote Quote  
  9. Member
    Join Date
    Mar 2008
    Location
    United States
    Search Comp PM
    Here's what you get when,
    For example,
    you try to use a 32 bit plugin in the 64 version of AVSpmod
    Image Attached Thumbnails Click image for larger version

Name:	avspmod_error2.png
Views:	8
Size:	26.3 KB
ID:	59495  

    Last edited by davexnet; 21st Jun 2021 at 18:33.
    Quote Quote  
  10. Originally Posted by dukeroyal View Post
    these are the errors I have in AVI synth tool:
    32bit : Cannot load a 64 bit DLL in 32 bit Avisynth: 'C:/AviSynth+/plugins+/RgTools.dll'
    64bit: Cannot load a 32 bit DLL in 64 bit Avisynth: 'C:/AviSynth+/plugins64+/HSVAdjust.dll'
    It's telling you exactly what the problems are.

    32 bit AviSynth can only use 32 bit plugins.

    64 bit AviSynth can only use 64 bit plugins.

    In the first case you are trying to load a 64 bit version of RgTool.dll into 32 bit AviSynth. Load a 32 bit version instead.

    In the second case you are trying to load a 32 bit version of HSVAdjust.dll into 64 bit AviSynth. Load a 64 bit version instead.
    Quote Quote  
  11. Originally Posted by jagabo View Post
    Originally Posted by dukeroyal View Post
    these are the errors I have in AVI synth tool:
    32bit : Cannot load a 64 bit DLL in 32 bit Avisynth: 'C:/AviSynth+/plugins+/RgTools.dll'
    64bit: Cannot load a 32 bit DLL in 64 bit Avisynth: 'C:/AviSynth+/plugins64+/HSVAdjust.dll'
    It's telling you exactly what the problems are.

    32 bit AviSynth can only use 32 bit plugins.

    64 bit AviSynth can only use 64 bit plugins.

    In the first case you are trying to load a 64 bit version of RgTool.dll into 32 bit AviSynth. Load a 32 bit version instead.

    In the second case you are trying to load a 32 bit version of HSVAdjust.dll into 64 bit AviSynth. Load a 64 bit version instead. CNN
    I guess Iím not making myself super clear. I meant avspmod not avisynth.
    This wasnít happening before with those dlls. I had a functioning system for avspmod to virtualdub2 without hiccups ever. I upgraded. Now I get these errors. So I revert back to the old version of avspmod from before so I donít have to move files around or whatever or go between versions and Iím still stuck with these errors.

    My bad for mixing avisynth and avspmod up
    Quote Quote  
  12. Originally Posted by dukeroyal View Post
    I guess Iím not making myself super clear. I meant avspmod not avisynth.
    Avspmod is starting AviSynth. Those messages are coming from AviSynth, relayed to you via avspmod.

    Originally Posted by dukeroyal View Post
    This wasnít happening before with those dlls. I had a functioning system for avspmod to virtualdub2 without hiccups ever. I upgraded. Now I get these errors. So I revert back to the old version of avspmod from before so I donít have to move files around or whatever or go between versions and Iím still stuck with these errors.
    Instead of arguing about your screwed up system just fix the problem.
    Quote Quote  
  13. Member
    Join Date
    Mar 2008
    Location
    United States
    Search Comp PM
    Perhaps at this point the OP should download avsmeter and
    run
    Code:
    Avsmeter -avsinfo
    For both 32 and 64 bit; see what errors it finds
    Quote Quote  
  14. solved!!!!
    Not 100% sure but I THINK I downloaded the new avspmod into a new directory and wires got crossed. I followed these tedious ass instructions (AGAIN, had already done all this one time a year ago ) https://macilatthefront.blogspot.com/2021/01/deinterlacing-with-avisynth-and-qtgmc.html
    and now at least the 64 bit dlls work again without the weird cross contamination. thanks to all of you for your help!
    Quote Quote  



Similar Threads